---
title: PushRegistrationManager
slug: Web/API/PushRegistrationManager
tags:
  - API
  - Deprecated
  - Interface
  - NeedsBrowserCompatibility
  - NeedsExample
  - PushRegistrationManager
  - Reference
  - Référence(2)
---
<div>{{deprecated_header}}{{APIRef("Push API")}}</div>

<p>Returns an interface to register or unregister a push registration, get an active registration, or check the permission status of the registration. This interface has been superceded by {{domxref("PushManager")}}.</p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("PushRegistrationManager.register()")}}</dt>
 <dd>Returns a promise that resolves to a {{domxref("PushRegistration")}} with details of a new registration.</dd>
 <dt>{{domxref("PushRegistrationManager.unregister()")}}</dt>
 <dd>Returns a promise that resolves to a {{domxref("PushRegistration")}} with details of the unregistered registration.</dd>
 <dt>{{domxref("PushRegistrationManager.getRegistration()")}}</dt>
 <dd>Returns a promise that resolves the {{domxref("PushRegistration")}} associated with the current webapp.</dd>
 <dt>{{domxref("PushRegistrationManager.hasPermission()")}}</dt>
 <dd>Returns a promise that resolves to the {{domxref("PushPermissionStatus")}} of the requesting webapp.</dd>
</dl>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushRegistrationManager")}}</p>
</div>
